Subject: [bug#28093] [PATCH] gnu: cgit: Don't build cgit's special 'git:src' input.

From: Christopher Baines <[email-masked]>
Date: Tue, 15 Aug 2017 20:54:32 +0100

On Tue, 15 Aug 2017 15:21:36 -0400
Leo Famulari <[email-masked]> wrote:

> On Tue, Aug 15, 2017 at 07:35:31AM +0100, Christopher Baines wrote:
> > On Mon, 14 Aug 2017 23:31:37 -0400
> > Leo Famulari <[email-masked]> wrote:
> >   
> > > * gnu/packages/version-control.scm (cgit)[inputs]: Replace the
> > > [email-masked] package with an origin reference of the source code.
> > > ([email-masked]): Remove variable.  
> > 
> > It would be useful if outside of the changelog, but in the commit
> > message, you could put why you are making the change. As far as I
> > can tell, this won't change the cgit package, so I'm guessing the
> > intent is to neaten up the code?  
> 
> Recently we started running the test suite of the "main" git package.
> 
> That caused the build of this package to fail, which also made cgit
> fail to build, and that was annoying.
> 
> But, we don't even need to build this source code as a package, since
> it gets built within the cgit build process, and we don't run the
> tests there.
> 
> So, I figured we might as well not provide this as a package at all,
> since it's really just intended to provide source code to cgit.
> 
> Does that sound reasonable?

Yep, makes sense, and the diff looks good to me.

> If so, I'll summarize this in the commit message.

Great :D